<?php
/*
Plugin Name: BWL Knowledge Base Manager - Theme Support
Version: 1.0.0
Description: This addon provide compatibility support of BWL Knowledge base Manager for BE Theme.
Author: xenioushk
Author URI:  http://bluewindlab.net
*/



    Class BKBM_Theme_Support{

        function __construct() {

             /*------------------------------ PLUGIN COMMON CONSTANTS ---------------------------------*/
            
            add_action( 'wp_enqueue_scripts', array( &$this, 'bkbm_theme_support_enqueue_scripts' )  );

        }

        function bkbm_theme_support_enqueue_scripts() {
            
            if ( class_exists('BWL_KB_Manager') ) {
                
                wp_enqueue_style('bkbm-grid-styles', BWL_KB_PLUGIN_DIR.'css/bkbm-grid-styles.css', array('bkbm-custom-styles'), BWL_KB_PLUGIN_VERSION);
                
            }

        }


    }



    /*------------------------------ Initialization ---------------------------------*/



    function init_bkbm_theme_support() {

        new BKBM_Theme_Support();

    }


    add_action('init', 'init_bkbm_theme_support');